
"""LoginLockout
"""

__author__ = "Dylan Jay <software@pretaweb.com"

from AccessControl.Permissions import add_user_folders
from Products.PluggableAuthService import registerMultiPlugin
from plugin import LoginLockout, \
                   manage_addLoginLockout, \
                   manage_addLoginLockoutForm

def initialize(context):
    """Initialize the LoginLockout plugin."""
    registerMultiPlugin(LoginLockout.meta_type)
    
    context.registerClass(LoginLockout,
                          permission=add_user_folders,
                          constructors=(manage_addLoginLockoutForm,
                                        manage_addLoginLockout),
                          #icon='www/noduplicatelogin.png',
                          visibility=None,
                          )
